import { CSSProperties } from 'vue';
export declare function isMouseEvent(event: Event): event is MouseEvent;
export declare function isTouchEvent(event: Event): event is TouchEvent;
export interface IRect {
    x: number;
    y: number;
    width: number;
    height: number;
}
export interface IPoint {
    x: number;
    y: number;
}
export declare type IPosition = IPoint;
export declare type IScale = IPoint;
export declare function rect(width: number, height: number): IRect;
export declare function stickStyle(stick: string, stickSize: number, scale: IScale): CSSProperties;
export declare function getPageEvent(ev: MouseEvent | TouchEvent): MouseEvent | Touch;
export declare function limitRotateAngle(angle: number): number;
export declare function hasOwnProperty(obj: Record<string, any>, prop: string): boolean;
export declare function setStyle(el: HTMLElement, styles: Partial<CSSStyleDeclaration>): void;
export declare function createResizeRect(size: number): (stick: string, delta: IPosition, base: IRect) => IRect;
